## alarmd 1.1.11+0m5

=== Makefile ===
# -*- mode: sh -*-

VERS := $(shell head -1 debian/changelog  | sed -e 's:^.*(::' -e 's:).*::')
NAME ?= alarmd
ROOT ?= /tmp/test-$(NAME)

PREFIX       ?= /usr
BINDIR       ?= $(PREFIX)/bin
SBINDIR      ?= $(PREFIX)/sbin
DLLDIR       ?= $(PREFIX)/lib
LIBDIR       ?= $(PREFIX)/lib
INCDIR       ?= $(PREFIX)/include/$(NAME)

DOCDIR       ?= $(PREFIX)/share/doc/$(NAME)
MANDIR       ?= $(PREFIX)/share/man

CACHEDIR     ?= /var/cache/alarmd
DEVDOCDIR    ?= $(PREFIX)/share/doc/libalarm-doc
PKGCFGDIR    ?= $(PREFIX)/lib/pkgconfig

UPSTART_EVENT_DIR    ?= /etc/event.d
XSESSION_DEFAULT_DIR ?= /etc/X11/Xsession.d
XSESSION_ACTDEAD_DIR ?= /etc/X11/Xsession.actdead

BACKUP_DIR   ?= /etc/osso-backup

CUD_DIR      ?= /etc/osso-cud-scripts
RFS_DIR      ?= /etc/osso-rfs-scripts

DBUS_DIR     ?= /etc/dbus-1/system.d

# This is set also in Doxyfile ...
DOXYWORK     ?= doxygen_output

# Note: if so-version is changed, you need also to edit
# - debian/control: fix libalarmN package names
# - debian/rules:   fix libalarmN package names and install dirs
SO ?= .so.2

TEMPLATE_COPY = sed\
 -e 's:@NAME@:${NAME}:g'\
 -e 's:@VERS@:${VERS}:g'\
 -e 's:@ROOT@:${ROOT}:g'\
 -e 's:@PREFIX@:${PREFIX}:g'\
 -e 's:@BINDIR@:${BINDIR}:g'\
 -e 's:@LIBDIR@:${LIBDIR}:g'\
 -e 's:@DLLDIR@:${DLLDIR}:g'\
 -e 's:@INCDIR@:${INCDIR}:g'\
 -e 's:@DOCDIR@:${DOCDIR}:g'\
 -e 's:@MANDIR@:${MANDIR}:g'\
 -e 's:@SBINDIR@:${SBINDIR}:g'\
 -e 's:@CACHEDIR@:${CACHEDIR}:g'\
 -e 's:@DEVDOCDIR@:${DEVDOCDIR}:g'\
 -e 's:@PKGCFGDIR@:${PKGCFGDIR}:g'\
 -e 's:@BACKUP_DIR@:${BACKUP_DIR}:g'\
 < $< > $@

# ----------------------------------------------------------------------------
# PKG CONFIG does not separate CPPFLAGS from CFLAGS -> we need them properly
#            separated so that various optional preprosessing stuff works
# ----------------------------------------------------------------------------

PKG_NAMES := \
 glib-2.0 \
 dbus-glib-1 \
 dbus-1 \
 conic \
 osso-systemui-dbus \
 mce \
 dsme_dbus_if \
 statusbar-alarm

# allow maintenance targets to be "build" outside scratchbox
# or build environment without pkg-config warnings about
# missing packages...
maintenance  = clean distclean normalize P undoc dead_code lgpl
intersection = $(strip $(foreach w,$1, $(filter $w,$2)))
ifneq ($(call intersection,$(maintenance),$(MAKECMDGOALS)),)
PKG_CONFIG   ?= true
endif

PKG_CONFIG   ?= pkg-config
PKG_CFLAGS   := $(shell $(PKG_CONFIG) --cflags $(PKG_NAMES))
PKG_LDLIBS   := $(shell $(PKG_CONFIG) --libs   $(PKG_NAMES))
PKG_CPPFLAGS := $(filter -D%,$(PKG_CFLAGS)) $(filter -I%,$(PKG_CFLAGS))
PKG_CFLAGS   := $(filter-out -I%, $(filter-out -D%, $(PKG_CFLAGS)))

# ----------------------------------------------------------------------------
# Global Flags
# ----------------------------------------------------------------------------

CPPFLAGS += -DENABLE_LOGGING=3
CPPFLAGS += -DVERS='"${VERS}"'
CPPFLAGS += -D_GNU_SOURCE
CPPFLAGS += -DALARMD_MANGLE_MEMBERS

CFLAGS   += -Wall
CFLAGS   += -Wmissing-prototypes
CFLAGS   += -std=c99
CFLAGS   += -Os
CFLAGS   += -g
CFLAGS   += -Werror

LDFLAGS  += -g

LDLIBS   += -Wl,--as-needed

CPPFLAGS += $(PKG_CPPFLAGS)
CFLAGS   += $(PKG_CFLAGS)
LDLIBS   += $(PKG_LDLIBS)

## QUARANTINE CPPFLAGS += -DDEAD_CODE
## QUARANTINE CFLAGS   += -Wno-unused-function

USE_LIBTIME ?= y#

ifeq ($(wildcard /usr/include/clockd/libtime.h),)
CPPFLAGS += -DHAVE_LIBTIME=0
CPPFLAGS += -DUSE_LIBTIME=0
else
CPPFLAGS += -DHAVE_LIBTIME=1
ifeq ($(USE_LIBTIME),y)
CPPFLAGS += -DUSE_LIBTIME=1
LDLIBS   += -ltime
endif
endif

# ----------------------------------------------------------------------------
# Top Level Targets
# ----------------------------------------------------------------------------

TARGETS += libalarm.a
TARGETS += libalarm$(SO)
TARGETS += alarmd
TARGETS += alarmclient
TARGETS += alarmtool
TARGETS += alarmd.wrapper

FLOW_GRAPHS = $(foreach e,.png .pdf .eps,\
		  $(addsuffix $e,$(addprefix $1,.fun .mod .api .top)))

EXTRA += $(call FLOW_GRAPHS, alarmclient)
EXTRA += $(call FLOW_GRAPHS, alarmd)

.PHONY: build clean distclean mostlyclean install debclean

build:: $(TARGETS)

extra:: $(EXTRA)

all:: build extra

clean:: mostlyclean
	$(RM) $(TARGETS) $(EXTRA)

distclean:: clean

mostlyclean::
	$(RM) *~ *.o src/*.o

install:: $(addprefix install-,alarmd alarmclient libalarm libalarm-dev libalarm-doc)

debclean:: distclean
	fakeroot ./debian/rules clean

# ----------------------------------------------------------------------------
# Dependency Scanning
# ----------------------------------------------------------------------------

.PHONY: depend

depend:: autogenerated_headers
	gcc -MM $(CPPFLAGS) src/*.c | ./build_tools/depend_filter.py -dsrc > .depend

ifneq ($(MAKECMDGOALS),depend)
include .depend
endif

# ----------------------------------------------------------------------------
# Autogenerated Files
# ----------------------------------------------------------------------------

autogenerated_headers:: src/clockd_dbus.inc
autogenerated_headers:: src/alarmd_config.h

src/clockd_dbus.inc : /usr/include/clockd/libtime.h
	grep > $@ 'define.*CLOCK' $<

src/alarmd_config.h         : src/alarmd_config.h.tpl Makefile
	$(TEMPLATE_COPY)

pkg-config-scripts/alarm.pc : pkg-config-scripts/alarm.pc.tpl Makefile
	$(TEMPLATE_COPY)

osso-backup/alarmd.conf     : osso-backup/alarmd.conf.tpl Makefile
	$(TEMPLATE_COPY)

osso-cud-scripts/alarmd.sh  : osso-cud-scripts/alarmd.sh.tpl Makefile
	$(TEMPLATE_COPY)

osso-rfs-scripts/alarmd.sh  : osso-rfs-scripts/alarmd.sh.tpl Makefile
	$(TEMPLATE_COPY)

distclean::
	$(RM) osso-cud-scripts/alarmd.sh
	$(RM) osso-rfs-scripts/alarmd.sh
	$(RM) src/alarmd_config.h
	$(RM) src/clockd_dbus.inc
	$(RM) osso-backup/alarmd.conf
	$(RM) pkg-config-scripts/alarm.pc

# ----------------------------------------------------------------------------
# Implicit build rules
# ----------------------------------------------------------------------------

%.1.gz  : %.1     ; gzip $< -9 -c > $@
%.8.gz  : %.8     ; gzip $< -9 -c > $@

%.dot   : %.dot.manual   ; cp $< $@
%.cflow : %.cflow.manual ; cp $< $@

%       : src/%.o ; $(CC) -o $@ $^ $(LDFLAGS) $(LDLIBS)

%$(SO): LDFLAGS += -shared -Wl,-soname,$@

%$(SO):
	$(CC) -o $@  $^ $(LDFLAGS) $(LDLIBS)

%.a:
	$(AR) ru $@ $^

%.pic.o : CFLAGS += -fPIC
%.pic.o : CFLAGS += -fvisibility=hidden
%.pic.o : %.c
	@echo "Compile: dynamic: $<"
	@$(CC) -o $@ -c $< $(CPPFLAGS) $(CFLAGS)

%.o     : %.c
	@echo "Compile: static: $<"
	@$(CC) -o $@ -c $< $(CPPFLAGS) $(CFLAGS)

%.dead.o     : %.c
	@echo "Compile: static: $<"
	@$(CC) -o $@ -c $< -DDEAD_CODE $(CPPFLAGS) $(CFLAGS)

# ----------------------------------------------------------------------------
# Implicit install rules
# ----------------------------------------------------------------------------

install-%-man1:
	$(if $<, install -m755 -d $(ROOT)$(MANDIR)/man1)
	$(if $<, install -m644 $^ $(ROOT)$(MANDIR)/man1)
install-%-man8:
	$(if $<, install -m755 -d $(ROOT)$(MANDIR)/man8)
	$(if $<, install -m644 $^ $(ROOT)$(MANDIR)/man8)

install-%-bin:
	$(if $<, install -m755 -d $(ROOT)$(BINDIR))
	$(if $<, install -m755 $^ $(ROOT)$(BINDIR))

install-%-sbin:
	$(if $<, install -m755 -d $(ROOT)$(SBINDIR))
	$(if $<, install -m755 $^ $(ROOT)$(SBINDIR))

install-%-lib:
	$(if $<, install -m755 -d $(ROOT)$(LIBDIR))
	$(if $<, install -m755 $^ $(ROOT)$(LIBDIR))

install-%-dll:
	$(if $<, install -m755 -d $(ROOT)$(DLLDIR))
	$(if $<, install -m755 $^ $(ROOT)$(DLLDIR))

install-%-inc:
	$(if $<, install -m755 -d $(ROOT)$(INCDIR))
	$(if $<, install -m755 $^ $(ROOT)$(INCDIR))

install-%-event:
	$(if $<, install -m755 -d $(ROOT)$(UPSTART_EVENT_DIR))
	$(if $<, install -m644 $^ $(ROOT)$(UPSTART_EVENT_DIR))

install-%-xsession-default:
	$(if $<, install -m755 -d $(ROOT)$(XSESSION_DEFAULT_DIR))
	$(if $<, install -m755 $^ $(ROOT)$(XSESSION_DEFAULT_DIR))

install-%-xsession-actdead:
	$(if $<, install -m755 -d $(ROOT)$(XSESSION_ACTDEAD_DIR))
	$(if $<, install -m755 $^ $(ROOT)$(XSESSION_ACTDEAD_DIR))

install-%-backup-config:
	$(if $<, install -m755 -d $(ROOT)$(BACKUP_DIR)/applications)
	$(if $<, install -m644 $^ $(ROOT)$(BACKUP_DIR)/applications)

install-%-backup-restore:
	$(if $<, install -m755 -d $(ROOT)$(BACKUP_DIR)/restore.d/always)
	$(if $<, install -m755 $^ $(ROOT)$(BACKUP_DIR)/restore.d/always)

install-%-cud-scripts:
	$(if $<, install -m755 -d $(ROOT)$(CUD_DIR))
	$(if $<, install -m755 $^ $(ROOT)$(CUD_DIR))

install-%-rfs-scripts:
	$(if $<, install -m755 -d $(ROOT)$(RFS_DIR))
	$(if $<, install -m755 $^ $(ROOT)$(RFS_DIR))

install-%-dbus-system:
	$(if $<, install -m755 -d $(ROOT)$(DBUS_DIR))
	$(if $<, install -m644 $^ $(ROOT)$(DBUS_DIR))

# ----------------------------------------------------------------------------
# Doxygen output
# ----------------------------------------------------------------------------

.PHONY: dox
dox:	; doxygen 1>doxygen.log
#dox:	; doxygen 2>&1 1>doxygen.log | ./build_tools/doxygen_filter.py

clean::
	$(RM) doxygen.log
distclean::
	$(RM) -r $(DOXYWORK)

# ----------------------------------------------------------------------------
# Miscellaneous Documentation & Images
# ----------------------------------------------------------------------------

FLOWFLAGS += -Xlogging
FLOWFLAGS += -Xxutil
## QUARANTINE FLOWFLAGS += -Xcodec
## QUARANTINE FLOWFLAGS += -Xdbusif
## QUARANTINE FLOWFLAGS += -Xinifile
## QUARANTINE FLOWFLAGS += -Xevent
## QUARANTINE FLOWFLAGS += -Xaction
## QUARANTINE FLOWFLAGS += -Xstrbuf
## QUARANTINE FLOWFLAGS += -Xunique
## QUARANTINE FLOWFLAGS += -Xsighnd

## QUARANTINE FLOWFLAGS += -Mdbusif=libalarm
FLOWFLAGS += -Mclient=libalarm
## QUARANTINE FLOWFLAGS += -Mevent=libalarm
## QUARANTINE FLOWFLAGS += -Maction=libalarm

CFLOW := cflow -v --omit-arguments
#CFLOW += -is
#CFLOW += -sDBusMessage:type

%.eps     : %.ps    ; ps2epsi $< $@
%.ps      : %.dot   ; dot -Tps  $< -o $@
%.pdf     : %.dot   ; dot -Tpdf $< -o $@
%.png     : %.dot   ; dot -Tpng $< -o $@
%.mod.dot : %.cflow ; ./build_tools/cflow_filter.py -c1 $(FLOWFLAGS) <$< >$@
%.fun.dot : %.cflow ; ./build_tools/cflow_filter.py -c0 $(FLOWFLAGS) <$< >$@
%.api.dot : %.cflow ; ./build_tools/cflow_filter.py -i1 $(FLOWFLAGS) <$< >$@
%.top.dot : %.cflow ; ./build_tools/cflow_filter.py -t1 $(FLOWFLAGS) <$< >$@
%.cflow   :         ; $(CFLOW) -o $@ $^

clean::
	$(RM) *.cflow
	$(RM) *.mod.dot *.fun.dot *.api.dot
	$(RM) *.mod.pdf *.fun.pdf *.api.pdf
	$(RM) *.mod.png *.fun.png *.api.png
	$(RM) man/*.1.gz man/*.8.gz

# ----------------------------------------------------------------------------
# libalarm
# ----------------------------------------------------------------------------

# we use dbus_message_iter_get_array_len() because
# as far as I can see we have to -> suppress warnings
dbusif.o dbusif.pic.o : CFLAGS += -Wno-deprecated-declarations

libalarm_src =\
	src/client.c\
	src/event.c\
	src/dbusif.c\
	src/strbuf.c\
	src/action.c\
	src/codec.c\
	src/logging.c\
	src/recurrence.c\
	src/serialize.c\
	src/ticker.c\
	src/attr.c

libalarm_obj = $(libalarm_src:.c=.o)

libalarm.a : $(libalarm_obj)
	ar ru $@ $^

libalarm$(SO) : $(libalarm_obj:.o=.pic.o)
	$(CC) -o $@ -shared  $^ $(LDFLAGS) $(LDLIBS)

# ----------------------------------------------------------------------------
# alarmd
# ----------------------------------------------------------------------------

alarmd_src =\
	src/alarmd.c\
	src/mainloop.c\
	src/sighnd.c\
	src/queue.c\
	src/server.c\
	src/inifile.c\
	src/symtab.c\
	src/unique.c\
	src/escape.c\
	src/hwrtc.c\
	src/xutil.c\
	src/ipc_statusbar.c\
	src/ipc_dsme.c\
	src/ipc_systemui.c\
	src/ipc_icd.c\
	src/ipc_exec.c

#	src/exithack.c\

alarmd_obj = $(alarmd_src:.c=.o)

alarmd : LDLIBS += -lrt -ldl

alarmd : $(alarmd_obj) libalarm.a

alarmd.cflow : $(alarmd_src) $(libalarm_src) #*.h

## QUARANTINE FLOWFLAGS_ALARMD += -Xcodec,symtab,unique,inifile,xutil
FLOWFLAGS_ALARMD += -xserver_make_reply
FLOWFLAGS_ALARMD += -xserver_parse_args
alarmd.mod.dot alarmd.fun.dot : FLOWFLAGS += $(FLOWFLAGS_ALARMD)

# ----------------------------------------------------------------------------

=== debian/changelog ===
alarmd (1.1.11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Swert De <philippe.de-swert@nokia.com>  Mon, 21 Sep 2009 15:34:23 +0300

alarmd (1.1.11) unstable; urgency=low

  * Fixes: NB#139693 - Alarmd stops notifying applications after a switch
    in the internet connection.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 21 Sep 2009 08:28:16 +0300

alarmd (1.1.10) unstable; urgency=low

  * Fixes: NB#137820 - Really bad performance when calendar alarm comes up on
    power up

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 17 Sep 2009 09:47:34 +0300

alarmd (1.1.9) unstable; urgency=low

  * Fixes: NB#129316 - Syncd is spamming console when synchronization is ongoing

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 18 Aug 2009 09:28:21 +0300

alarmd (1.1.8) unstable; urgency=low

  * Helper functions for making asynchronous alarmd dbus method calls.
  * Logging fixes.
  * Minor cleanup.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 22 Jun 2009 11:21:34 +0300

alarmd (1.1.7) unstable; urgency=low

  * Unsafe signal handlers fixed.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 04 Jun 2009 09:01:03 +0300

alarmd (1.1.6) unstable; urgency=low

  * Fixes: NB#115838 - Added Xsession script that will restart alarmd
    if execution of the startup wizard causes session bus restart.
  * Hides deleted but not finalized alarms from clients.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 14 May 2009 15:52:24 +0300

alarmd (1.1.5) unstable; urgency=low

  * Improvements to systemui ipc: if multiple alarm_open/alarm_close method
    calls are made in row, all but the last will set the high bit in the
    cookie. This allows systemui to delay making costly widget changes until
    all changes are received.
  * Short delay is introduced between queue modifying method calls and
    triggering of alarm event state transitions. This improves the
    responsiveness of the system in cases where clients are making multiple
    consecutive alarm add/update/delete calls over dbus.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 23 Apr 2009 11:12:44 +0300

alarmd (1.1.4) unstable; urgency=low

  * Fixed potential queue corruption in trigger time re-evaluation when
    the system clock is moved backwards.
  * Fixed handling of adding new recurrence and action table items so that
    alarmd_event_update() no longer causes sanity check warnings.
  * New debugging feature added to alarmclient: the desktop ready condition
    (and use of LIMBO state) can now be controlled using  options -Xnolimbo
    and -Xlimbo.
  * Added get/set functions for alarm event cookies and trigger time.
  * Logging toned down a bit.
  * Fixes: NB#111210 - Snooze uses previous trigger time + snooze time
    instead of current time + snooze time
  * Startup scripts cleaned up.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Fri, 17 Apr 2009 14:13:05 +0300

alarmd (1.1.3) unstable; urgency=low

  * Fixed: Actions with ALARM_ACTION_WHEN_DELAYED were not executed.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Thu, 02 Apr 2009 12:29:06 +0300

alarmd (1.1.2) unstable; urgency=low

  * Fixes: NB#108013 - Alarm scheduling is one hour off if there is
    DST change between current time and the requested alarm time.
  * Alarmclient can now issue state change requests to dsme and
    simulate pressing buttons on alarm dialogs.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 31 Mar 2009 09:33:35 +0300

alarmd (1.1.1) unstable; urgency=low

  * Separate Xsession scripts for act dead and user modes.
  * Added D-Bus System bus configuration

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 24 Mar 2009 11:57:00 +0200

alarmd (1.1.0) unstable; urgency=low

  * Alarmd license changed to LGPL Version 2.1.
  * DSME D-Bus constants now from libdsme0.2.0-dev.
  * Fixed restoring attribute data from queue file.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Wed, 18 Mar 2009 10:18:43 +0200

alarmd (1.0.13) unstable; urgency=low

  * Uses claiming of com.nokia.HildonDesktop.Home service on
    session bus as "desktop is ready" condition.
  * Trampoline callbacks eliminated so that the stack
    can be made non-executable. Fixes: NB#104594

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 09 Mar 2009 12:38:32 +0200

alarmd (1.0.12) unstable; urgency=low

  * Cookies can be added to executed commands by adding
    ALARM_ACTION_EXEC_ADD_COOKIE to exec action flags.
  * Changing default snooze value triggers state save.
  * Improved handling of alarm data restored by osso-backup.
  * Systemui can request powerup as response to alarms
    in act dead.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 02 Mar 2009 10:48:19 +0200

alarmd (1.0.11) unstable; urgency=low

  * Only alarms with ALARM_EVENT_ACTDEAD flag set will be triggered
    in ACT_DEAD mode. Fixes: NB#99852
  * To reduce writes to flash file system, the queue file will be
    replaced only if the content would actually change. Fixes: NB#101581
  * Adjusts triggers of snoozed alarms on system time change to
    make snooze period relative to start of snooze. Fixes: NB#101634
  * Alarmd will send ALARMD_TIME_CHANGE_IND signal after it has
    done all state transitions resulting from system time or
    timezone changes.
  * Dropped glib-2.0 and dbus-glib-1 from libalarm pkg-config as
    these are not required for using libalarm. Fixes: NB#99933
  * Some dead code detected and removed.

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Mon, 16 Feb 2009 16:22:06 +0200

alarmd (1.0.10) unstable; urgency=low

  * Setting default snooze to zero now uses builtin default of 10 minutes.
  * Libalarm now uses shared instead of private dbus connection.
  * Also non-recurring alarms will be rescheduled when system time is
    moved back if they use broken down alarm time and have configuration
    flag ALARM_EVENT_BACK_RESCHEDULE set. Fixes: NB#99974


## alarmd 1.1.14+0m5

=== debian/changelog ===
alarmd (1.1.14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Wed, 11 Nov 2009 11:04:24 +0200

alarmd (1.1.14) unstable; urgency=low

  * Fixes: NB#145346 - Alarm does not take account simultaneous system time
    change when it is set up

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Tue, 10 Nov 2009 08:55:29 +0200

alarmd (1.1.13) unstable; urgency=low

  * Fixes: NB#142698 - Alarmd hides alarms missed due to tz change

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Wed, 14 Oct 2009 15:28:06 +0300

alarmd (1.1.12) unstable; urgency=low

  * Fixes: NB#133079 - MemLeak in alarmd

 -- Simo Piiroinen <simo.piiroinen@nokia.com>  Wed, 23 Sep 2009 10:20:59 +0300

## alarmd 1.1.16+0m5

=== Makefile ===
--- 
+++ 
@@ -133,8 +133,8 @@
 TARGETS += libalarm$(SO)
 TARGETS += alarmd
 TARGETS += alarmclient
-TARGETS += alarmtool
 TARGETS += alarmd.wrapper
+#TARGETS += alarmtool
 
 FLOW_GRAPHS = $(foreach e,.png .pdf .eps,\
 		  $(addsuffix $e,$(addprefix $1,.fun .mod .api .top)))

=== testing/Makefile ===
# -*- mode: sh -*-

TARGETS += fakesb
TARGETS += fakedsme
TARGETS += skeleton
TARGETS += scrumdemo
TARGETS += test_recurr
TARGETS += asynctest

# ----------------------------------------------------------------------------
# Default flags
# ----------------------------------------------------------------------------

CFLAGS   += -Wall
CFLAGS   += -std=c99

CPPFLAGS += -D_GNU_SOURCE
CPPFLAGS += -DENABLE_LOGGING=3

LDLIBS   += -Wl,--as-needed
LDLIBS   += ../libalarm.a -ltime

# ----------------------------------------------------------------------------
# Flags from pkg-config
# ----------------------------------------------------------------------------

PKG_NAMES := \
 gtk+-2.0 \
 dbus-glib-1 \
 dsme_dbus_if \
 statusbar-alarm

PKG_CONFIG   ?= pkg-config
PKG_CFLAGS   := $(shell $(PKG_CONFIG) --cflags $(PKG_NAMES))
PKG_LDLIBS   := $(shell $(PKG_CONFIG) --libs   $(PKG_NAMES))
PKG_CPPFLAGS := $(filter -D%,$(PKG_CFLAGS)) $(filter -I%,$(PKG_CFLAGS))
PKG_CFLAGS   := $(filter-out -I%, $(filter-out -D%, $(PKG_CFLAGS)))

CFLAGS   += $(PKG_CFLAGS)
CPPFLAGS += $(PKG_CPPFLAGS)
LDLIBS   += $(PKG_LDLIBS)

# ----------------------------------------------------------------------------
# Top level targets
# ----------------------------------------------------------------------------

.PHONY: build clean distclean mostlyclean

build:: $(TARGETS)

clean:: mostlyclean
	$(RM) $(TARGETS)

distclean:: clean

mostlyclean::
	$(RM) *.o *~

# ----------------------------------------------------------------------------
# Build deps
# ----------------------------------------------------------------------------

fakedsme.o    : fakedsme.c
fakesb.o      : fakesb.c
scrumdemo.o   : scrumdemo.c
skeleton.o    : skeleton.c
test_recurr.o : test_recurr.c
asynctest.o   : asynctest.c

=== debian/changelog ===
alarmd (1.1.16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Chandra Vanipenta <ext-chandra.1.vanipenta@nokia.com>  Fri, 19 Feb 2010 13:17:51 +0200

alarmd (1.1.16) unstable; urgency=low

  * Fixes: NB#142222 - Device does not shut down after completing the alarm cycles in ACT_DEAD
  * Fixes: NB#152855 - libalarm API reference lacks details on time fields

 -- Victor Portnov <ext-victor.portnov@nokia.com>  Mon, 15 Feb 2010 18:57:30 +0300

alarmd (1.1.15) unstable; urgency=low

  * Fixes: NB#141686 - Not playing the Alarm notification/alert when charger is inserted in device Power off state

 -- Victor Portnov <ext-victor.portnov@nokia.com>  Fri, 25 Dec 2009 11:54:09 +0300

=== debian/control ===
Source: alarmd
Section: misc
Priority: optional
Maintainer: Simo Piiroinen <simo.piiroinen@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libtime-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libconic0-dev,
 osso-systemui-dbus-dev,
 libdsme0.2.0-dev,
 mce-dev,
 statusbar-alarm-dev,
 doxygen
Standards-Version: 3.7.2

Package: alarmd
Architecture: any
Depends: ${shlibs:Depends}
Recommends: osso-systemui-alarm
Conflicts: osso-systemui-alarm (<< 0.2.1.5)
Description: alarm daemon
 Alarm daemon manages queue of alarm events, executes
 actions defined in events either automatically or
 after user input via system ui dialog service.

Package: alarmd-dbg
Section: devel
Priority: extra
Architecture: any
Depends: alarmd (= ${binary:Version})
Description: debug symbols for alarmd
 This package contains debug information for alarmd,
 useful for debugging tools like gdb.

Package: alarmclient
Architecture: any
Depends: ${shlibs:Depends}
Description: test tool for alarmd access
 Command line utility for testing and debugging alarmd features.

Package: alarmclient-dbg
Section: devel
Priority: extra
Architecture: any
Depends: alarmclient (= ${binary:Version})
Description: debug symbols for alarmclient
 This package contains debug information for alarmclient,
 useful for debugging tools like gdb.

Package: libalarm2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: client library for communicating with alarmd
 Client side API for adding, removing and querying events
 in alarmd queue.

Package: libalarm2-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libalarm2 (= ${binary:Version})
Description: debug symbols for libalarm2
 This package contains debug information for libalarm2,
 useful for debugging tools like gdb.

Package: libalarm-dev
Section: libdevel
Architecture: any
Depends: libalarm2 (= ${binary:Version}), ${shlibs:Depends}
Description: development files for libalarm2
 Development package for using libalarm2. Contains static
 library and header files for C and C++ development.

Package: libalarm-doc
Section: doc
Architecture: all
Depends:
Description: documentation files for libalarm2
 Doxygen generated API documentation for libalarm2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: sh -*- -----------------------------------------------
# Debian rules for building alarmd
# ----------------------------------------------------------------
#
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean realclean install configure\
	binary-indep binary-arch binary

build:: build-stamp
	$(MAKE)

binary:: binary-indep binary-arch

realclean:: clean

configure::
# nothing to do

#----------------------------------------------------------------
# compiling the software

build-stamp: configure
	dh_testdir
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

#----------------------------------------------------------------
# debian cleanup
clean::
	dh_testdir
	dh_testroot
	dh_clean

#----------------------------------------------------------------
# installation

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) debian-files
	$(MAKE) install-alarmd       ROOT=debian/alarmd
	$(MAKE) install-libalarm     ROOT=debian/libalarm2
	$(MAKE) install-libalarm-dev ROOT=debian/libalarm-dev
	$(MAKE) install-libalarm-doc ROOT=debian/libalarm-doc
	$(MAKE) install-alarmclient  ROOT=debian/alarmclient

#----------------------------------------------------------------
# architecture-independent files -> DEBIAN dirs

binary-indep: install
# nothing to do

#----------------------------------------------------------------
# architecture-dependent files -> DEBIAN dirs

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_install -s
	dh_installman
	# Note: clockd must be started before alarmd
	dh_installinit -- defaults 37 63
	dh_link
	dh_strip --dbg-package=alarmd\
	         --dbg-package=alarmclient\
	         --dbg-package=libalarm2
	dh_compress
	dh_fixperms
	dh_makeshlibs
# 	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## alarmd 1.1.16+0m5+0cssu0+thumb0

=== Makefile ===
--- 
+++ 
@@ -100,6 +100,7 @@
 CFLAGS   += -Os
 CFLAGS   += -g
 CFLAGS   += -Werror
+CFLAGS   += -mthumb -fgnu89-inline
 
 LDFLAGS  += -g
 
@@ -426,4 +427,3 @@
 FLOWFLAGS_ALARMD += -xserver_parse_args
 alarmd.mod.dot alarmd.fun.dot : FLOWFLAGS += $(FLOWFLAGS_ALARMD)
 
-# ----------------------------------------------------------------------------

=== debian/changelog ===
alarmd (1.1.16+0m5+0cssu0+thumb0) unstable; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sat, 16 Jun 2012 09:39:32 +0300

alarmd (1.1.16+0m5+0cssu0) unstable; urgency=low

  * Fixes: Alarmd does not correctly replace [COOKIE] in exec string
    see https://bugs.maemo.org/10025 and https://bugs.maemo.org/12560

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wen, 14 Mar 2012 19:55:11 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
  libdsme0.2.0-dev,
  mce-dev,
  statusbar-alarm-dev,
- doxygen
+ doxygen,
+ libgtk2.0-dev
 Standards-Version: 3.7.2
 
 Package: alarmd
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
 Recommends: osso-systemui-alarm
 Conflicts: osso-systemui-alarm (<< 0.2.1.5)
 Description: alarm daemon
@@ -36,7 +37,7 @@
 
 Package: alarmclient
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
 Description: test tool for alarmd access
  Command line utility for testing and debugging alarmd features.
 
@@ -52,7 +53,7 @@
 Package: libalarm2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
 Description: client library for communicating with alarmd
  Client side API for adding, removing and querying events
  in alarmd queue.

## alarmd 1.1.16+0m5+0cssu1

=== debian/changelog ===
alarmd (1.1.16+0m5+0cssu1) unstable; urgency=low

  * add dependency gtk+-2.0
  * return correct result in function server_action_do_exec()

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 26 Dec 2015 18:23:14 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 Package: alarmd
 Architecture: any
-Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
+Depends: ${shlibs:Depends}
 Recommends: osso-systemui-alarm
 Conflicts: osso-systemui-alarm (<< 0.2.1.5)
 Description: alarm daemon
@@ -37,7 +37,7 @@
 
 Package: alarmclient
 Architecture: any
-Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
+Depends: ${shlibs:Depends}
 Description: test tool for alarmd access
  Command line utility for testing and debugging alarmd features.
 
@@ -53,7 +53,7 @@
 Package: libalarm2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, kernel-feature-errata-430973-workaround
+Depends: ${shlibs:Depends}
 Description: client library for communicating with alarmd
  Client side API for adding, removing and querying events
  in alarmd queue.
